import * as i0 from "@angular/core";
export declare class ApiResultService {
    private _results;
    get results(): ApiResult[];
    add(result: ApiResult): void;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiResultService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiResultService>;
}
export declare class ApiResult {
    private _message;
    get message(): string;
    private _succeeded;
    get succeeded(): boolean;
    private _started;
    get started(): Date;
    private _finished;
    get finished(): Date;
    constructor(message: string, succeeded: boolean, started: Date, finished: Date);
}
